package com.mortals.xhx.module.api.common;

import java.io.Serializable;

/**
 *
 * 分页信息响应
 * @author pengziyuan
 */
public class PageInfoRsp implements Serializable {

    private static final long serialVersionUID = 494341146719157531L;

    /** 每页数量 */
    private int prePageResult;

    /** 总数量 */
    private int totalResult;

    /** 总页数 */
    private int totalPage;

    /** 当前页码 */
    private int currPage;

    public int getPrePageResult() {
        return prePageResult;
    }

    public void setPrePageResult(int prePageResult) {
        this.prePageResult = prePageResult;
    }

    public int getTotalResult() {
        return totalResult;
    }

    public void setTotalResult(int totalResult) {
        this.totalResult = totalResult;
    }

    public int getTotalPage() {
        return totalPage;
    }

    public void setTotalPage(int totalPage) {
        this.totalPage = totalPage;
    }

    public int getCurrPage() {
        return currPage;
    }

    public void setCurrPage(int currPage) {
        this.currPage = currPage;
    }

    @Override
    public String toString() {
        return "PageInfoRsp{" + "prePageResult=" + prePageResult + ", totalResult=" + totalResult + ", totalPage="
                + totalPage + ", currPage=" + currPage + '}';
    }
}
